Subject: Re: bonding: cannot remove certain named devices

From: Stephen Hemminger <[email-masked]>
Date: Tue, 15 Aug 2006 15:44:44 -0700

On Tue, 15 Aug 2006 15:41:08 -0700
Mitch Williams <[email-masked]> wrote:

> On Tue, 15 Aug 2006, Bill Nottingham wrote:
> >
> > Stephen Hemminger ([email-masked]) said:
> > > > They're certainly allowed, and the sysfs directory structure, files,
> > > > etc. handle it ok. Userspace tends to break in a variety of ways.
> > > >
> > > > I believe the only invalid character in an interface name is '/'.
> > > >
> > >
> > > The names "." and ".." are also verboten.
> >
> > Right. Well, I suspect they're verboten-because-some-code-breaks-making-the-directory.
> >
> > > Names with : in them are for IP aliases.
> >
> 
> So can we use
> 	sscanf(buffer, " %[^\n]", command);
> instead?  This should allow for whitespace in the filename.  Bad interface
> names will be caught by the call to dev_valid_name().
> 
> (I think I'm reading the man page correctly.)
> 
> This could have the effect of making the parser way more finicky, though,
> since we would allow trailing whitespace.  Technically I suppose it's
> legal, but it's sure hard to see on the screen.
> 
> Anybody have a better solution?
> 
> -Mitch

IMHO idiots who put space's in filenames should be ignored. As long as the
bonding code doesn't throw a fatal error, it has every right to return
"No such device" to the fool.